{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
        <link rel="icon" href="static/favicon.ico">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        {% block meta %}
        {% endblock meta %}
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand margin-left-2 montserrat-bold" href="{% url 'blogs:blogs-index' %}">Rumah Gagasan</a>
            <div class="collapse navbar-collapse full-size" id="navbarNavAltMarkup">
                <div class = "d-flex flex-row justify-content-start align-items-center padding-half" style = "width: 70%;">
                    <div class="navbar-nav">
                        <a class="nav-item nav-link montserrat-regular" href="{% url 'blogs:blogs-index' %}">Blog</a>
                    </div>
                    {% if request.user.is_authenticated %}
                        <div class="navbar-nav">
                            <a class="nav-item nav-link montserrat-regular" href="{% url 'blogs:blogs-myBlog' %}">Blog saya</a>
                        </div>
                    {% endif %}
                </div>
                <div class = "d-flex flex-row justify-content-end align-items-center padding-half" style = "width: 30%;">
                    <div class="navbar-nav">
                        {% if request.user.is_authenticated %}
                            <p class = "nav-item montserrat-regular margin-1" style = "color: white;">{{ request.session.user_logged_username }}</p>
                        {%  endif %}
                    </div>
                    <div class="navbar-nav">
                        {% if request.user.is_authenticated %}
                            <a class="nav-item nav-link montserrat-semibold" href="{% url 'authentication:authentication-logout' %}">Logout</a>
                        {% else %}
                            <a class="nav-item nav-link montserrat-regular" href="{% url 'authentication:authentication-login' %}">Login</a>
                        {%  endif %}
                    </div>
                </div>
            </div>
          </nav>
        {% block content %}
        {% endblock content %}
        <script src = "{% static 'jquery-3.5.1.min.js' %}"></script>

    </body>
</html>
